# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [3.69.0](https://github.com/comparaonline/ui-forms/compare/v3.68.2...v3.69.0) (2024-10-08)


### Features

* remove create promissory note ([#1490](https://github.com/comparaonline/ui-forms/issues/1490)) ([0f7b1af](https://github.com/comparaonline/ui-forms/commit/0f7b1afc57588eae1d7ee321a4bba8ff19c0cc5e))





## [3.68.1](https://github.com/comparaonline/ui-forms/compare/v3.68.0...v3.68.1) (2024-09-03)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





# [3.68.0](https://github.com/comparaonline/ui-forms/compare/v3.67.0...v3.68.0) (2024-07-10)


### Features

* update max money length ([#1486](https://github.com/comparaonline/ui-forms/issues/1486)) ([7a5d8b8](https://github.com/comparaonline/ui-forms/commit/7a5d8b83bb26487c2442d840cc076e4965c6f0a9))





# [3.66.0](https://github.com/comparaonline/ui-forms/compare/v3.65.0...v3.66.0) (2024-02-12)


### Features

* **Files:** support new document validation response ([#1483](https://github.com/comparaonline/ui-forms/issues/1483)) ([5cf824b](https://github.com/comparaonline/ui-forms/commit/5cf824b3925603eb7a139bcd31f1eda0d41407bd))





# [3.65.0](https://github.com/comparaonline/ui-forms/compare/v3.64.1...v3.65.0) (2024-01-09)


### Features

* **Files:** Send formId when identity validation starts ([#1482](https://github.com/comparaonline/ui-forms/issues/1482)) ([b2add7f](https://github.com/comparaonline/ui-forms/commit/b2add7f795194d7d2e0582f63fde6926ef73aa21))





# [3.62.0](https://github.com/comparaonline/ui-forms/compare/v3.61.0...v3.62.0) (2023-09-07)


### Features

* **Files:** clear document validation result before validating documents ([#1478](https://github.com/comparaonline/ui-forms/issues/1478)) ([220b4ce](https://github.com/comparaonline/ui-forms/commit/220b4ce7624d5de8eed683c59e7ce79e9bb11f7a))





# [3.61.0](https://github.com/comparaonline/ui-forms/compare/v3.60.0...v3.61.0) (2023-09-05)


### Features

* **Files:** document validation ui adjustments ([#1477](https://github.com/comparaonline/ui-forms/issues/1477)) ([584d3c5](https://github.com/comparaonline/ui-forms/commit/584d3c5d6a244f3ea03866b9c7874d6b804d4785))





# [3.60.0](https://github.com/comparaonline/ui-forms/compare/v3.59.0...v3.60.0) (2023-09-04)


### Features

* **Files:** add call to files validation service ([#1476](https://github.com/comparaonline/ui-forms/issues/1476)) ([3002738](https://github.com/comparaonline/ui-forms/commit/3002738de9676cc43b1f3dd38a3d3c262d407619))





# [3.59.0](https://github.com/comparaonline/ui-forms/compare/v3.58.0...v3.59.0) (2023-09-01)


### Features

* **Files:** only allow file validation when identification document is national id and car is not new ([#1475](https://github.com/comparaonline/ui-forms/issues/1475)) ([01e4a83](https://github.com/comparaonline/ui-forms/commit/01e4a837ef5111d5c24fb78c22a046e7f0758fcd))





# [3.58.0](https://github.com/comparaonline/ui-forms/compare/v3.57.0...v3.58.0) (2023-08-24)


### Features

* **Files:** [SCO-727] add document validation result feedback ([#1473](https://github.com/comparaonline/ui-forms/issues/1473)) ([c1daeec](https://github.com/comparaonline/ui-forms/commit/c1daeec67d03977f55402534b6b063f1281eb150))
* **Files:** add dropdown to select the identification document version ([#1474](https://github.com/comparaonline/ui-forms/issues/1474)) ([fd4a9bd](https://github.com/comparaonline/ui-forms/commit/fd4a9bd90a062858022525655e4dfb2a0309da41))





# [3.57.0](https://github.com/comparaonline/ui-forms/compare/v3.56.1...v3.57.0) (2023-08-24)


### Features

* **Files:** add button to trigger documents validation ([#1472](https://github.com/comparaonline/ui-forms/issues/1472)) ([ada9dfd](https://github.com/comparaonline/ui-forms/commit/ada9dfdf2f99a0d232d56d6a91699f4351843f42))
* **Files:** add inputs for back of identification document and property certificate ([#1471](https://github.com/comparaonline/ui-forms/issues/1471)) ([98b4c35](https://github.com/comparaonline/ui-forms/commit/98b4c35b73013a3590a9a0089780ecf1fe512029))





## [3.56.1](https://github.com/comparaonline/ui-forms/compare/v3.56.0...v3.56.1) (2023-07-11)


### Bug Fixes

* **Files:** allow to upload manually when promissory note generation fails ([#1470](https://github.com/comparaonline/ui-forms/issues/1470)) ([be799ad](https://github.com/comparaonline/ui-forms/commit/be799add2d030a08a8cc791d1e0e96c40b48a2ac))





# [3.56.0](https://github.com/comparaonline/ui-forms/compare/v3.55.0...v3.56.0) (2023-06-27)


### Features

* allow to enter mobile numbers on landline input ([#1469](https://github.com/comparaonline/ui-forms/issues/1469)) ([b9bf04e](https://github.com/comparaonline/ui-forms/commit/b9bf04ea248906ff88f03584c3dd15335087c430))





# [3.55.0](https://github.com/comparaonline/ui-forms/compare/v3.54.0...v3.55.0) (2023-06-15)


### Features

* allow to set car fields as optional ([#1468](https://github.com/comparaonline/ui-forms/issues/1468)) ([4d5ee70](https://github.com/comparaonline/ui-forms/commit/4d5ee70))





# [3.54.0](https://github.com/comparaonline/ui-forms/compare/v3.53.0...v3.54.0) (2023-06-15)


### Features

* add property optionalSarlaftFields to cico checkout ([#1467](https://github.com/comparaonline/ui-forms/issues/1467)) ([e9c001b](https://github.com/comparaonline/ui-forms/commit/e9c001b))





# [3.53.0](https://github.com/comparaonline/ui-forms/compare/v3.52.0...v3.53.0) (2023-06-14)


### Features

* add new property childrenQuantityRequired ([#1466](https://github.com/comparaonline/ui-forms/issues/1466)) ([22e287c](https://github.com/comparaonline/ui-forms/commit/22e287c))





# [3.52.0](https://github.com/comparaonline/ui-forms/compare/v3.51.0...v3.52.0) (2023-04-24)


### Features

* **CheckoutCICO:** show promissory note warning and retry when error ([#1464](https://github.com/comparaonline/ui-forms/issues/1464)) ([d790c4a](https://github.com/comparaonline/ui-forms/commit/d790c4a))





# [3.51.0](https://github.com/comparaonline/ui-forms/compare/v3.50.3...v3.51.0) (2023-03-07)


### Features

* add Uploader for additional Sarlaft doc ([#1463](https://github.com/comparaonline/ui-forms/issues/1463)) ([9935d65](https://github.com/comparaonline/ui-forms/commit/9935d65))





## [3.50.3](https://github.com/comparaonline/ui-forms/compare/v3.50.2...v3.50.3) (2023-03-06)


### Bug Fixes

* download signed additional Sarlaft doc ([#1462](https://github.com/comparaonline/ui-forms/issues/1462)) ([dd9c382](https://github.com/comparaonline/ui-forms/commit/dd9c382))





## [3.50.2](https://github.com/comparaonline/ui-forms/compare/v3.50.1...v3.50.2) (2023-03-06)


### Bug Fixes

* download additional Sarlaft document ([#1461](https://github.com/comparaonline/ui-forms/issues/1461)) ([49482ac](https://github.com/comparaonline/ui-forms/commit/49482ac))





## [3.48.2](https://github.com/comparaonline/ui-forms/compare/v3.48.1...v3.48.2) (2023-02-17)


### Bug Fixes

* **CheckoutCICO:** copy insured sarlaft url when it is updated and signature is not required ([#1453](https://github.com/comparaonline/ui-forms/issues/1453)) ([a55af18](https://github.com/comparaonline/ui-forms/commit/a55af18))





## [3.48.1](https://github.com/comparaonline/ui-forms/compare/v3.48.0...v3.48.1) (2023-02-15)


### Bug Fixes

* **CheckoutCICO:** save signed sarlaft only when required ([#1452](https://github.com/comparaonline/ui-forms/issues/1452)) ([d1b39db](https://github.com/comparaonline/ui-forms/commit/d1b39db))





# [3.48.0](https://github.com/comparaonline/ui-forms/compare/v3.47.4...v3.48.0) (2023-02-10)


### Features

* **CheckoutCICO:** add require car information prop ([#1447](https://github.com/comparaonline/ui-forms/issues/1447)) ([3433231](https://github.com/comparaonline/ui-forms/commit/3433231))





## [3.47.3](https://github.com/comparaonline/ui-forms/compare/v3.47.2...v3.47.3) (2023-02-09)


### Bug Fixes

* **CheckoutCICO:** always enable submit button in inspection own field ([#1450](https://github.com/comparaonline/ui-forms/issues/1450)) ([4d972aa](https://github.com/comparaonline/ui-forms/commit/4d972aa))





## [3.47.2](https://github.com/comparaonline/ui-forms/compare/v3.47.1...v3.47.2) (2023-02-08)


### Bug Fixes

* **CheckoutCICO:** set correct next step of car step ([#1449](https://github.com/comparaonline/ui-forms/issues/1449)) ([04c12ce](https://github.com/comparaonline/ui-forms/commit/04c12ce))





## [3.47.1](https://github.com/comparaonline/ui-forms/compare/v3.47.0...v3.47.1) (2023-02-07)


### Bug Fixes

* **CheckoutCICO:** change steps flow ([#1448](https://github.com/comparaonline/ui-forms/issues/1448)) ([3cf52ca](https://github.com/comparaonline/ui-forms/commit/3cf52ca))





# [3.46.0](https://github.com/comparaonline/ui-forms/compare/v3.45.2...v3.46.0) (2023-01-24)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.45.2](https://github.com/comparaonline/ui-forms/compare/v3.45.1...v3.45.2) (2023-01-13)


### Bug Fixes

* **CreditCard:** bypass card type validation when card is already encrypted ([#1443](https://github.com/comparaonline/ui-forms/issues/1443)) ([5e63551](https://github.com/comparaonline/ui-forms/commit/5e63551))





# [3.45.0](https://github.com/comparaonline/ui-forms/compare/v3.44.0...v3.45.0) (2023-01-05)


### Features

* **CreditCard:** mark credit card number as valid when it is encrypted and it has a token set ([#1441](https://github.com/comparaonline/ui-forms/issues/1441)) ([1583338](https://github.com/comparaonline/ui-forms/commit/1583338))





# [3.44.0](https://github.com/comparaonline/ui-forms/compare/v3.43.2...v3.44.0) (2022-12-27)


### Features

* **DigitalSignature:** add prop to allow optional sarlaft signature ([#1440](https://github.com/comparaonline/ui-forms/issues/1440)) ([3543e62](https://github.com/comparaonline/ui-forms/commit/3543e62))





# [3.43.0](https://github.com/comparaonline/ui-forms/compare/v3.42.3...v3.43.0) (2022-12-06)


### Features

* **DigitalSignature:** add toolbar and sidebar to pdf ([#1436](https://github.com/comparaonline/ui-forms/issues/1436)) ([e356ac7](https://github.com/comparaonline/ui-forms/commit/e356ac7))
* **DigitalSignature:** support additionalDocument ([#1434](https://github.com/comparaonline/ui-forms/issues/1434)) ([87a2565](https://github.com/comparaonline/ui-forms/commit/87a2565))





## [3.42.2](https://github.com/comparaonline/ui-forms/compare/v3.42.1...v3.42.2) (2022-11-21)


### Bug Fixes

* **DigitalSignature:** fix how to handle error at initialization ([#1432](https://github.com/comparaonline/ui-forms/issues/1432)) ([92d1049](https://github.com/comparaonline/ui-forms/commit/92d1049))





# [3.41.0](https://github.com/comparaonline/ui-forms/compare/v3.40.4...v3.41.0) (2022-11-11)


### Features

* **FinancialEntity:** save phone ([#1428](https://github.com/comparaonline/ui-forms/issues/1428)) ([90d606f](https://github.com/comparaonline/ui-forms/commit/90d606f))





## [3.40.4](https://github.com/comparaonline/ui-forms/compare/v3.40.3...v3.40.4) (2022-11-11)


### Bug Fixes

* **DigitalSignature:** add alert on questions step ([#1429](https://github.com/comparaonline/ui-forms/issues/1429)) ([efc3110](https://github.com/comparaonline/ui-forms/commit/efc3110))





## [3.40.3](https://github.com/comparaonline/ui-forms/compare/v3.40.2...v3.40.3) (2022-11-10)


### Bug Fixes

* **DigitalSignature:** hide warning when Digital Signature is disabled ([#1427](https://github.com/comparaonline/ui-forms/issues/1427)) ([ab192d6](https://github.com/comparaonline/ui-forms/commit/ab192d6))





## [3.40.2](https://github.com/comparaonline/ui-forms/compare/v3.40.1...v3.40.2) (2022-11-08)


### Bug Fixes

* **DigitalSignature:** fix translation ([#1426](https://github.com/comparaonline/ui-forms/issues/1426)) ([baa6d68](https://github.com/comparaonline/ui-forms/commit/baa6d68))





## [3.40.1](https://github.com/comparaonline/ui-forms/compare/v3.40.0...v3.40.1) (2022-11-08)


### Bug Fixes

* **DigitalSignature:** fix warning text ([#1425](https://github.com/comparaonline/ui-forms/issues/1425)) ([c22095a](https://github.com/comparaonline/ui-forms/commit/c22095a))





# [3.40.0](https://github.com/comparaonline/ui-forms/compare/v3.39.3...v3.40.0) (2022-11-04)


### Features

* **DigitalSignature:** improve alerts ([#1424](https://github.com/comparaonline/ui-forms/issues/1424)) ([2d4eb70](https://github.com/comparaonline/ui-forms/commit/2d4eb70))
* **DigitalSignature:** validate answers before call BFF ([#1423](https://github.com/comparaonline/ui-forms/issues/1423)) ([b98b060](https://github.com/comparaonline/ui-forms/commit/b98b060))





## [3.39.3](https://github.com/comparaonline/ui-forms/compare/v3.39.2...v3.39.3) (2022-11-04)


### Bug Fixes

* **FileStep:** add download button for promissory note ([#1422](https://github.com/comparaonline/ui-forms/issues/1422)) ([1716dfa](https://github.com/comparaonline/ui-forms/commit/1716dfa))





## [3.39.2](https://github.com/comparaonline/ui-forms/compare/v3.39.1...v3.39.2) (2022-11-03)


### Bug Fixes

* **CheckoutCICO:** dont save eventSubmit flag to avoid multiple requests ([#1421](https://github.com/comparaonline/ui-forms/issues/1421)) ([aeb5f45](https://github.com/comparaonline/ui-forms/commit/aeb5f45))
* **DigitalSignature:** show warning always when digital signature button is visible ([#1420](https://github.com/comparaonline/ui-forms/issues/1420)) ([8cf8faf](https://github.com/comparaonline/ui-forms/commit/8cf8faf))





## [3.39.1](https://github.com/comparaonline/ui-forms/compare/v3.39.0...v3.39.1) (2022-11-03)


### Bug Fixes

* **DigitalSignature:** set status as Failed by any BFF error ([#1419](https://github.com/comparaonline/ui-forms/issues/1419)) ([283e895](https://github.com/comparaonline/ui-forms/commit/283e895))





# [3.39.0](https://github.com/comparaonline/ui-forms/compare/v3.38.1...v3.39.0) (2022-10-31)


### Bug Fixes

* **FileStep:** move warning to the right field and update texts ([#1413](https://github.com/comparaonline/ui-forms/issues/1413)) ([051a807](https://github.com/comparaonline/ui-forms/commit/051a807))


### Features

* **DigitalSignature:** enable by prop ([#1416](https://github.com/comparaonline/ui-forms/issues/1416)) ([e2d700a](https://github.com/comparaonline/ui-forms/commit/e2d700a))





## [3.38.1](https://github.com/comparaonline/ui-forms/compare/v3.38.0...v3.38.1) (2022-10-31)


### Bug Fixes

* **DigitalSignature:** send verification code to BFF ([#1418](https://github.com/comparaonline/ui-forms/issues/1418)) ([7dab91a](https://github.com/comparaonline/ui-forms/commit/7dab91a))





# [3.38.0](https://github.com/comparaonline/ui-forms/compare/v3.37.2...v3.38.0) (2022-10-29)


### Bug Fixes

* **DocumentsLoading:** fix check to show promissory note feedback ([#1412](https://github.com/comparaonline/ui-forms/issues/1412)) ([914e589](https://github.com/comparaonline/ui-forms/commit/914e589))


### Features

* **ChallengeQuestion:** show feedback when validating challenge questions fails ([#1415](https://github.com/comparaonline/ui-forms/issues/1415)) ([519d7d9](https://github.com/comparaonline/ui-forms/commit/519d7d9))





## [3.37.2](https://github.com/comparaonline/ui-forms/compare/v3.37.1...v3.37.2) (2022-10-27)


### Bug Fixes

* **FileStep:** update promissory note texts ([#1414](https://github.com/comparaonline/ui-forms/issues/1414)) ([e1ccded](https://github.com/comparaonline/ui-forms/commit/e1ccded))





## [3.37.1](https://github.com/comparaonline/ui-forms/compare/v3.37.0...v3.37.1) (2022-10-20)


### Bug Fixes

* **DigitalSignature:** hide button to sign when files are signed ([#1411](https://github.com/comparaonline/ui-forms/issues/1411)) ([2f64a3c](https://github.com/comparaonline/ui-forms/commit/2f64a3c))





# [3.37.0](https://github.com/comparaonline/ui-forms/compare/v3.36.0...v3.37.0) (2022-10-19)


### Features

* **CheckoutCICO:** improve CIIU autocomplete ([#1410](https://github.com/comparaonline/ui-forms/issues/1410)) ([3ea1b69](https://github.com/comparaonline/ui-forms/commit/3ea1b69))





# [3.36.0](https://github.com/comparaonline/ui-forms/compare/v3.35.1...v3.36.0) (2022-10-19)


### Features

* **DigitalSignature:** create promissory note on step load ([#1409](https://github.com/comparaonline/ui-forms/issues/1409)) ([183131c](https://github.com/comparaonline/ui-forms/commit/183131c))





## [3.35.1](https://github.com/comparaonline/ui-forms/compare/v3.35.0...v3.35.1) (2022-10-18)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





# [3.35.0](https://github.com/comparaonline/ui-forms/compare/v3.34.0...v3.35.0) (2022-10-17)


### Features

* **DigitalSignature:** add button to sign both files in files step ([#1407](https://github.com/comparaonline/ui-forms/issues/1407)) ([882dc16](https://github.com/comparaonline/ui-forms/commit/882dc16))





# [3.34.0](https://github.com/comparaonline/ui-forms/compare/v3.33.0...v3.34.0) (2022-10-14)


### Features

* **DigitalSignature:** add promissory note feedback and upload button ([#1406](https://github.com/comparaonline/ui-forms/issues/1406)) ([2bb3374](https://github.com/comparaonline/ui-forms/commit/2bb3374))
* **DigitalSignature:** put Files as last step ([#1399](https://github.com/comparaonline/ui-forms/issues/1399)) ([ead2297](https://github.com/comparaonline/ui-forms/commit/ead2297))





# [3.33.0](https://github.com/comparaonline/ui-forms/compare/v3.32.0...v3.33.0) (2022-10-13)


### Features

* **PdfModal:** use pdf modal component only as a preview of documents ([#1405](https://github.com/comparaonline/ui-forms/issues/1405)) ([cf0f8ee](https://github.com/comparaonline/ui-forms/commit/cf0f8ee))





# [3.32.0](https://github.com/comparaonline/ui-forms/compare/v3.31.5...v3.32.0) (2022-10-12)


### Features

* **DigitalSignature:** use fieldname to show file info ([#1404](https://github.com/comparaonline/ui-forms/issues/1404)) ([880c82b](https://github.com/comparaonline/ui-forms/commit/880c82b))





## [3.31.5](https://github.com/comparaonline/ui-forms/compare/v3.31.4...v3.31.5) (2022-10-12)


### Bug Fixes

* **Countdown:** show resend code  button and warning when the timer is completed ([#1401](https://github.com/comparaonline/ui-forms/issues/1401)) ([70c4e05](https://github.com/comparaonline/ui-forms/commit/70c4e05))





## [3.31.4](https://github.com/comparaonline/ui-forms/compare/v3.31.3...v3.31.4) (2022-10-12)


### Bug Fixes

* **DigitalSignature:** move constants export to the top ([#1403](https://github.com/comparaonline/ui-forms/issues/1403)) ([4eef7b0](https://github.com/comparaonline/ui-forms/commit/4eef7b0))





## [3.31.3](https://github.com/comparaonline/ui-forms/compare/v3.31.2...v3.31.3) (2022-10-11)


### Bug Fixes

* **DigitalSignature:** redirect to files step on continue after validation ([#1402](https://github.com/comparaonline/ui-forms/issues/1402)) ([f69a828](https://github.com/comparaonline/ui-forms/commit/f69a828))





## [3.31.2](https://github.com/comparaonline/ui-forms/compare/v3.31.1...v3.31.2) (2022-10-10)


### Bug Fixes

* **DigitalSignature:** keep error message of CodeInput ([#1396](https://github.com/comparaonline/ui-forms/issues/1396)) ([7086eda](https://github.com/comparaonline/ui-forms/commit/7086eda))





## [3.31.1](https://github.com/comparaonline/ui-forms/compare/v3.31.0...v3.31.1) (2022-10-07)


### Bug Fixes

* **DigitalSignature:** save answers to challenge questions ([#1400](https://github.com/comparaonline/ui-forms/issues/1400)) ([9757476](https://github.com/comparaonline/ui-forms/commit/9757476))





# [3.31.0](https://github.com/comparaonline/ui-forms/compare/v3.30.1...v3.31.0) (2022-10-07)


### Features

* **DigitalSignature:** parse answers for BFF ([#1398](https://github.com/comparaonline/ui-forms/issues/1398)) ([de07e18](https://github.com/comparaonline/ui-forms/commit/de07e18))





## [3.30.1](https://github.com/comparaonline/ui-forms/compare/v3.30.0...v3.30.1) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** load questions after redirect to questions step ([#1397](https://github.com/comparaonline/ui-forms/issues/1397)) ([a8d2533](https://github.com/comparaonline/ui-forms/commit/a8d2533))





# [3.30.0](https://github.com/comparaonline/ui-forms/compare/v3.29.4...v3.30.0) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** add logic to show/hide bypass button ([#1394](https://github.com/comparaonline/ui-forms/issues/1394)) ([65ac7c3](https://github.com/comparaonline/ui-forms/commit/65ac7c3))


### Features

* **DigitalSignature:** set uploadDate ([#1395](https://github.com/comparaonline/ui-forms/issues/1395)) ([14c0b2a](https://github.com/comparaonline/ui-forms/commit/14c0b2a))





## [3.29.4](https://github.com/comparaonline/ui-forms/compare/v3.29.3...v3.29.4) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** handle secondary action of pdfModal in fileStep ([#1393](https://github.com/comparaonline/ui-forms/issues/1393)) ([b69d6bb](https://github.com/comparaonline/ui-forms/commit/b69d6bb))





## [3.29.3](https://github.com/comparaonline/ui-forms/compare/v3.29.2...v3.29.3) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** show helpertext after signing the file ([#1392](https://github.com/comparaonline/ui-forms/issues/1392)) ([9e5e6b9](https://github.com/comparaonline/ui-forms/commit/9e5e6b9))





## [3.29.2](https://github.com/comparaonline/ui-forms/compare/v3.29.1...v3.29.2) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** update status when initialization fails ([#1391](https://github.com/comparaonline/ui-forms/issues/1391)) ([a6e81b2](https://github.com/comparaonline/ui-forms/commit/a6e81b2))





## [3.29.1](https://github.com/comparaonline/ui-forms/compare/v3.29.0...v3.29.1) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** hide in payment step ([#1383](https://github.com/comparaonline/ui-forms/issues/1383)) ([63adf51](https://github.com/comparaonline/ui-forms/commit/63adf51))





# [3.29.0](https://github.com/comparaonline/ui-forms/compare/v3.28.4...v3.29.0) (2022-10-06)


### Features

* **DigitalSignature:** prevent auto download in fileStep ([#1390](https://github.com/comparaonline/ui-forms/issues/1390)) ([83f3e77](https://github.com/comparaonline/ui-forms/commit/83f3e77))





## [3.28.4](https://github.com/comparaonline/ui-forms/compare/v3.28.3...v3.28.4) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** fix how to handle BFF response when signing a document ([#1389](https://github.com/comparaonline/ui-forms/issues/1389)) ([3480ac8](https://github.com/comparaonline/ui-forms/commit/3480ac8))





## [3.28.3](https://github.com/comparaonline/ui-forms/compare/v3.28.2...v3.28.3) (2022-10-06)


### Bug Fixes

* **DigitalSignature:** show questions step correctly ([#1388](https://github.com/comparaonline/ui-forms/issues/1388)) ([12d9cab](https://github.com/comparaonline/ui-forms/commit/12d9cab))





## [3.28.2](https://github.com/comparaonline/ui-forms/compare/v3.28.1...v3.28.2) (2022-10-05)


### Bug Fixes

* **DigitalSignature:** use constants instead of i18n json for fileName ([#1386](https://github.com/comparaonline/ui-forms/issues/1386)) ([fa4f83e](https://github.com/comparaonline/ui-forms/commit/fa4f83e))





## [3.28.1](https://github.com/comparaonline/ui-forms/compare/v3.28.0...v3.28.1) (2022-10-05)


### Bug Fixes

* **PdfModal:** allow user to close pdf modal ([#1385](https://github.com/comparaonline/ui-forms/issues/1385)) ([212131a](https://github.com/comparaonline/ui-forms/commit/212131a))





# [3.28.0](https://github.com/comparaonline/ui-forms/compare/v3.27.0...v3.28.0) (2022-10-05)


### Features

* **DigitalSignature:** update digitally signature values ([#1379](https://github.com/comparaonline/ui-forms/issues/1379)) ([9d0f4dc](https://github.com/comparaonline/ui-forms/commit/9d0f4dc))





# [3.27.0](https://github.com/comparaonline/ui-forms/compare/v3.26.5...v3.27.0) (2022-10-05)


### Features

* **DigitalSignature:** update identity validation status ([#1378](https://github.com/comparaonline/ui-forms/issues/1378)) ([7cb741e](https://github.com/comparaonline/ui-forms/commit/7cb741e))





## [3.26.5](https://github.com/comparaonline/ui-forms/compare/v3.26.4...v3.26.5) (2022-10-05)


### Bug Fixes

* **DigitalSignature:** render download component when file is ready ([#1384](https://github.com/comparaonline/ui-forms/issues/1384)) ([a9d4998](https://github.com/comparaonline/ui-forms/commit/a9d4998))





## [3.26.4](https://github.com/comparaonline/ui-forms/compare/v3.26.3...v3.26.4) (2022-10-05)


### Bug Fixes

* **DigitalSignature:** fix start identity validation flow ([#1382](https://github.com/comparaonline/ui-forms/issues/1382)) ([a2e88c6](https://github.com/comparaonline/ui-forms/commit/a2e88c6))





## [3.26.3](https://github.com/comparaonline/ui-forms/compare/v3.26.2...v3.26.3) (2022-10-05)


### Bug Fixes

* **DownloadButton:** use default file names and hide date if data does not exist ([#1380](https://github.com/comparaonline/ui-forms/issues/1380)) ([8fa8a18](https://github.com/comparaonline/ui-forms/commit/8fa8a18))





## [3.26.2](https://github.com/comparaonline/ui-forms/compare/v3.26.1...v3.26.2) (2022-10-04)


### Bug Fixes

* **DigitalSignature:** update endpoints and remove mocks ([#1377](https://github.com/comparaonline/ui-forms/issues/1377)) ([ed4e073](https://github.com/comparaonline/ui-forms/commit/ed4e073))





## [3.26.1](https://github.com/comparaonline/ui-forms/compare/v3.26.0...v3.26.1) (2022-10-04)


### Bug Fixes

* **DigitalSignature:** initialize validation ([#1376](https://github.com/comparaonline/ui-forms/issues/1376)) ([d37d3d4](https://github.com/comparaonline/ui-forms/commit/d37d3d4))





# [3.26.0](https://github.com/comparaonline/ui-forms/compare/v3.25.0...v3.26.0) (2022-10-04)


### Bug Fixes

* **Countdown:** support name prop and update time when the formValue changes ([#1369](https://github.com/comparaonline/ui-forms/issues/1369)) ([ae4f6d4](https://github.com/comparaonline/ui-forms/commit/ae4f6d4))


### Features

* **DigitalSignature:** add fields to verificationCode step ([#1375](https://github.com/comparaonline/ui-forms/issues/1375)) ([6676825](https://github.com/comparaonline/ui-forms/commit/6676825))





# [3.25.0](https://github.com/comparaonline/ui-forms/compare/v3.24.0...v3.25.0) (2022-10-03)


### Features

* **DigitalSignature:** add questions step ([#1374](https://github.com/comparaonline/ui-forms/issues/1374)) ([4b30f63](https://github.com/comparaonline/ui-forms/commit/4b30f63))





# [3.24.0](https://github.com/comparaonline/ui-forms/compare/v3.23.0...v3.24.0) (2022-09-30)


### Features

* **FileStep:** show modal for digital signature ([#1370](https://github.com/comparaonline/ui-forms/issues/1370)) ([b916718](https://github.com/comparaonline/ui-forms/commit/b916718))





# [3.23.0](https://github.com/comparaonline/ui-forms/compare/v3.22.0...v3.23.0) (2022-09-30)


### Features

* **DigitalSignature:** add more logic in service ([#1368](https://github.com/comparaonline/ui-forms/issues/1368)) ([68a1e01](https://github.com/comparaonline/ui-forms/commit/68a1e01))





# [3.22.0](https://github.com/comparaonline/ui-forms/compare/v3.21.0...v3.22.0) (2022-09-30)


### Features

* **DigitalSignature:** add the base for digital signature steps ([#1373](https://github.com/comparaonline/ui-forms/issues/1373)) ([dca8570](https://github.com/comparaonline/ui-forms/commit/dca8570))





# [3.21.0](https://github.com/comparaonline/ui-forms/compare/v3.20.0...v3.21.0) (2022-09-29)


### Features

* **DigitalSignature:** add component to by pass code verification ([#1371](https://github.com/comparaonline/ui-forms/issues/1371)) ([4409732](https://github.com/comparaonline/ui-forms/commit/4409732))
* **DigitalSignature:** add ResendVerificationCode component ([#1372](https://github.com/comparaonline/ui-forms/issues/1372)) ([cd650a4](https://github.com/comparaonline/ui-forms/commit/cd650a4))





# [3.20.0](https://github.com/comparaonline/ui-forms/compare/v3.19.0...v3.20.0) (2022-09-29)


### Features

* **DigitalSignature:** modify step payment methods ([#1367](https://github.com/comparaonline/ui-forms/issues/1367)) ([0c1e8fc](https://github.com/comparaonline/ui-forms/commit/0c1e8fc))





# [3.19.0](https://github.com/comparaonline/ui-forms/compare/v3.18.0...v3.19.0) (2022-09-28)


### Features

* **PdfModal:** create pdf modal component ([#1366](https://github.com/comparaonline/ui-forms/issues/1366)) ([edb31a0](https://github.com/comparaonline/ui-forms/commit/edb31a0))





# [3.18.0](https://github.com/comparaonline/ui-forms/compare/v3.17.0...v3.18.0) (2022-09-28)


### Features

* **CheckoutCICO:** add download sarlaft button ([#1365](https://github.com/comparaonline/ui-forms/issues/1365)) ([4cc896a](https://github.com/comparaonline/ui-forms/commit/4cc896a))





# [3.17.0](https://github.com/comparaonline/ui-forms/compare/v3.16.0...v3.17.0) (2022-09-27)


### Features

* **CheckoutCICO:** add helper service for digital signature ([#1364](https://github.com/comparaonline/ui-forms/issues/1364)) ([9ef78aa](https://github.com/comparaonline/ui-forms/commit/9ef78aa))





# [3.16.0](https://github.com/comparaonline/ui-forms/compare/v3.15.0...v3.16.0) (2022-09-23)


### Features

* **ButtonValidateIdentity:** add button validate identity component ([#1362](https://github.com/comparaonline/ui-forms/issues/1362)) ([4e5d93c](https://github.com/comparaonline/ui-forms/commit/4e5d93c))
* **CodeInput:** add code input component ([#1361](https://github.com/comparaonline/ui-forms/issues/1361)) ([c99fdfd](https://github.com/comparaonline/ui-forms/commit/c99fdfd))





# [3.15.0](https://github.com/comparaonline/ui-forms/compare/v3.14.0...v3.15.0) (2022-09-21)


### Features

* **CheckoutCICO:** add helper digital signature ([#1363](https://github.com/comparaonline/ui-forms/issues/1363)) ([c4eabba](https://github.com/comparaonline/ui-forms/commit/c4eabba))





# [3.14.0](https://github.com/comparaonline/ui-forms/compare/v3.13.0...v3.14.0) (2022-09-15)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





# [3.13.0](https://github.com/comparaonline/ui-forms/compare/v3.12.0...v3.13.0) (2022-09-14)


### Features

* **Countdown:** add component ([#1357](https://github.com/comparaonline/ui-forms/issues/1357)) ([8a394a5](https://github.com/comparaonline/ui-forms/commit/8a394a5))





## [3.9.2](https://github.com/comparaonline/ui-forms/compare/v3.9.1...v3.9.2) (2022-06-15)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.9.1](https://github.com/comparaonline/ui-forms/compare/v3.9.0...v3.9.1) (2022-06-14)


### Bug Fixes

* **CheckoutCICO:** transform isEventSubmit mutator value ([#1347](https://github.com/comparaonline/ui-forms/issues/1347)) ([ccde18a](https://github.com/comparaonline/ui-forms/commit/ccde18a))





# [3.9.0](https://github.com/comparaonline/ui-forms/compare/v3.8.3...v3.9.0) (2022-06-10)


### Features

* **Subsidiaries:** remove Baloto ([#1346](https://github.com/comparaonline/ui-forms/issues/1346)) ([0be27b3](https://github.com/comparaonline/ui-forms/commit/0be27b3))





## [3.8.3](https://github.com/comparaonline/ui-forms/compare/v3.8.2...v3.8.3) (2022-03-25)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.8.1](https://github.com/comparaonline/ui-forms/compare/v3.8.0...v3.8.1) (2022-03-21)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





# [3.4.0](https://github.com/comparaonline/ui-forms/compare/v3.3.2...v3.4.0) (2022-02-03)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.2.9](https://github.com/comparaonline/ui-forms/compare/v3.2.8...v3.2.9) (2022-01-24)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.2.8](https://github.com/comparaonline/ui-forms/compare/v3.2.7...v3.2.8) (2022-01-13)


### Bug Fixes

* **CICOCheckout:** disable owner validations on payment step ([#1319](https://github.com/comparaonline/ui-forms/issues/1319)) ([5d4c91f](https://github.com/comparaonline/ui-forms/commit/5d4c91f))





## [3.2.7](https://github.com/comparaonline/ui-forms/compare/v3.2.6...v3.2.7) (2022-01-06)


### Bug Fixes

* **Payment:** usa a fallback text when an offer hasn't company ([#1318](https://github.com/comparaonline/ui-forms/issues/1318)) ([683328d](https://github.com/comparaonline/ui-forms/commit/683328d))





## [3.2.6](https://github.com/comparaonline/ui-forms/compare/v3.2.5...v3.2.6) (2022-01-06)


### Bug Fixes

* **checkout-cico:** disable submit only when not owner and credit card ([#1317](https://github.com/comparaonline/ui-forms/issues/1317)) ([b5ed289](https://github.com/comparaonline/ui-forms/commit/b5ed289))





## [3.2.5](https://github.com/comparaonline/ui-forms/compare/v3.2.4...v3.2.5) (2021-12-28)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.2.4](https://github.com/comparaonline/ui-forms/compare/v3.2.3...v3.2.4) (2021-12-28)

**Note:** Version bump only for package @comparaonline/ui-checkout-cico





## [3.2.3](https://github.com/comparaonline/ui-forms/compare/v3.2.2...v3.2.3) (2021-12-23)


### Bug Fixes

* **CICOPayment:** fix invalid expedition date month ([#1313](https://github.com/comparaonline/ui-forms/issues/1313)) ([5583a62](https://github.com/comparaonline/ui-forms/commit/5583a62))





## [3.2.2](https://github.com/comparaonline/ui-forms/compare/v3.2.1...v3.2.2) (2021-12-21)


### Bug Fixes

* **Payment:** update max length of Card's name to 50 ([#1312](https://github.com/comparaonline/ui-forms/issues/1312)) ([a3767e8](https://github.com/comparaonline/ui-forms/commit/a3767e8))





## [3.2.1](https://github.com/comparaonline/ui-forms/compare/v3.2.0...v3.2.1) (2021-12-17)


### Bug Fixes

* **Payment:** download Promissory note after generating ([#1311](https://github.com/comparaonline/ui-forms/issues/1311)) ([f9eb38b](https://github.com/comparaonline/ui-forms/commit/f9eb38b))





# [3.2.0](https://github.com/comparaonline/ui-forms/compare/v3.1.1...v3.2.0) (2021-12-17)


### Features

* **cicoCreditCard:** modify expiration date format to YY/MM ([#1308](https://github.com/comparaonline/ui-forms/issues/1308)) ([d429953](https://github.com/comparaonline/ui-forms/commit/d429953))





# [3.0.0](https://github.com/comparaonline/ui-forms/compare/v2.74.0...v3.0.0) (2021-11-10)


### Continuous Integration

* **Jenkins:** publish to NPM when pushing to master branch ([#1306](https://github.com/comparaonline/ui-forms/issues/1306)) ([20a9b89](https://github.com/comparaonline/ui-forms/commit/20a9b89))


### BREAKING CHANGES

* **Jenkins:** move package from '@compara' to '@comparaonline' org to
avoid permission issues on NPM





# [2.74.0](https://github.com/comparaonline/ui-forms/compare/v2.73.2...v2.74.0) (2021-11-10)


### Features

* **checkou-cico:** add occupation steps in short sarlaft ([#1305](https://github.com/comparaonline/ui-forms/issues/1305)) ([4617665](https://github.com/comparaonline/ui-forms/commit/4617665))





## [2.73.2](https://github.com/comparaonline/ui-forms/compare/v2.73.1...v2.73.2) (2021-11-09)


### Bug Fixes

* **Sarlaft:** fix isValid for short version ([#1304](https://github.com/comparaonline/ui-forms/issues/1304)) ([7fee5d5](https://github.com/comparaonline/ui-forms/commit/7fee5d5))





## [2.72.1](https://github.com/comparaonline/ui-forms/compare/v2.72.0...v2.72.1) (2021-11-02)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.72.0](https://github.com/comparaonline/ui-forms/compare/v2.71.1...v2.72.0) (2021-10-28)


### Features

* **sarlaftShortCICO:** remove company code validation for short sarlaft ([#1299](https://github.com/comparaonline/ui-forms/issues/1299)) ([bc33d8a](https://github.com/comparaonline/ui-forms/commit/bc33d8a))





## [2.71.1](https://github.com/comparaonline/ui-forms/compare/v2.71.0...v2.71.1) (2021-10-22)


### Bug Fixes

* **FileStep:** set the right value for previous (step) ([#1298](https://github.com/comparaonline/ui-forms/issues/1298)) ([ef6d939](https://github.com/comparaonline/ui-forms/commit/ef6d939))





# [2.71.0](https://github.com/comparaonline/ui-forms/compare/v2.70.2...v2.71.0) (2021-10-21)


### Bug Fixes

* **Sarlaft:** customize principal source of income's label ([#1297](https://github.com/comparaonline/ui-forms/issues/1297)) ([84a9e0e](https://github.com/comparaonline/ui-forms/commit/84a9e0e))


### Features

* **CreditCard:** validate credit card franchise ([#1284](https://github.com/comparaonline/ui-forms/issues/1284)) ([b9f166e](https://github.com/comparaonline/ui-forms/commit/b9f166e))





## [2.70.2](https://github.com/comparaonline/ui-forms/compare/v2.70.1...v2.70.2) (2021-10-19)


### Bug Fixes

* **cicoSarlaft:** changed sarlaft product attribute name ([#1295](https://github.com/comparaonline/ui-forms/issues/1295)) ([01f47c7](https://github.com/comparaonline/ui-forms/commit/01f47c7))





## [2.70.1](https://github.com/comparaonline/ui-forms/compare/v2.70.0...v2.70.1) (2021-10-19)


### Bug Fixes

* **shortSarlaft:** fix supported company codes ([#1293](https://github.com/comparaonline/ui-forms/issues/1293)) ([de5bf16](https://github.com/comparaonline/ui-forms/commit/de5bf16))





# [2.70.0](https://github.com/comparaonline/ui-forms/compare/v2.69.1...v2.70.0) (2021-10-19)


### Features

* **CheckoutCico:** add support to the short sarlaft ([#1289](https://github.com/comparaonline/ui-forms/issues/1289)) ([34c94ae](https://github.com/comparaonline/ui-forms/commit/34c94ae))
* **Sarlaft:** show version by sarlaft.type ([#1291](https://github.com/comparaonline/ui-forms/issues/1291)) ([68bfc0f](https://github.com/comparaonline/ui-forms/commit/68bfc0f))
* **shortSarlaft:** fix product attributes check ([#1292](https://github.com/comparaonline/ui-forms/issues/1292)) ([c77fe3e](https://github.com/comparaonline/ui-forms/commit/c77fe3e))





## [2.69.1](https://github.com/comparaonline/ui-forms/compare/v2.69.0...v2.69.1) (2021-10-13)


### Bug Fixes

* clean value inspection automas on init checkout form ([#1281](https://github.com/comparaonline/ui-forms/issues/1281)) ([8638902](https://github.com/comparaonline/ui-forms/commit/8638902))





# [2.69.0](https://github.com/comparaonline/ui-forms/compare/v2.68.0...v2.69.0) (2021-10-13)


### Features

* **Automas:** add modal to show how to do the virtual inspection ([#1287](https://github.com/comparaonline/ui-forms/issues/1287)) ([3e848f5](https://github.com/comparaonline/ui-forms/commit/3e848f5))





# [2.68.0](https://github.com/comparaonline/ui-forms/compare/v2.67.0...v2.68.0) (2021-10-07)


### Bug Fixes

* **CreditCard:** fix luhn validation ([#1283](https://github.com/comparaonline/ui-forms/issues/1283)) ([ae2a3be](https://github.com/comparaonline/ui-forms/commit/ae2a3be))
* **Inspection:** improve error message UI ([#1285](https://github.com/comparaonline/ui-forms/issues/1285)) ([ad7e0fc](https://github.com/comparaonline/ui-forms/commit/ad7e0fc))
* **Payment:** update Financed warning ([#1286](https://github.com/comparaonline/ui-forms/issues/1286)) ([4bc690d](https://github.com/comparaonline/ui-forms/commit/4bc690d))


### Features

* **cicoVirtualAssistanceDescription:** modify cico virtual assistance option description ([#1282](https://github.com/comparaonline/ui-forms/issues/1282)) ([d52777b](https://github.com/comparaonline/ui-forms/commit/d52777b))





# [2.67.0](https://github.com/comparaonline/ui-forms/compare/v2.66.1...v2.67.0) (2021-10-05)


### Bug Fixes

* increase motor number length ([#1279](https://github.com/comparaonline/ui-forms/issues/1279)) ([5e91476](https://github.com/comparaonline/ui-forms/commit/5e91476))


### Features

* **removeInspectionTLCPlate:** ignore inspection step when TLC plate ([#1277](https://github.com/comparaonline/ui-forms/issues/1277)) ([0609d15](https://github.com/comparaonline/ui-forms/commit/0609d15))





## [2.66.1](https://github.com/comparaonline/ui-forms/compare/v2.66.0...v2.66.1) (2021-09-27)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.66.0](https://github.com/comparaonline/ui-forms/compare/v2.65.0...v2.66.0) (2021-09-23)


### Features

* **checkout-cico:** add message when order generated is fails ([#1274](https://github.com/comparaonline/ui-forms/issues/1274)) ([452a89e](https://github.com/comparaonline/ui-forms/commit/452a89e))
* **inspection:** use CicoAutomasInspectionType for value cardButton ([#1273](https://github.com/comparaonline/ui-forms/issues/1273)) ([65c95d7](https://github.com/comparaonline/ui-forms/commit/65c95d7))





# [2.65.0](https://github.com/comparaonline/ui-forms/compare/v2.64.0...v2.65.0) (2021-09-22)


### Bug Fixes

* **CheckoutCICO:** Fix creditCard fieldnames ([#1267](https://github.com/comparaonline/ui-forms/issues/1267)) ([2f9ad41](https://github.com/comparaonline/ui-forms/commit/2f9ad41))


### Features

* **cicoDirectPayment:** add direct payment option support ([#1268](https://github.com/comparaonline/ui-forms/issues/1268)) ([789a22a](https://github.com/comparaonline/ui-forms/commit/789a22a))
* disabled card button when order is create with mode presential ([#1270](https://github.com/comparaonline/ui-forms/issues/1270)) ([b4ee512](https://github.com/comparaonline/ui-forms/commit/b4ee512))
* **CheckoutCico:** save credit card type ([#1269](https://github.com/comparaonline/ui-forms/issues/1269)) ([5d32ed9](https://github.com/comparaonline/ui-forms/commit/5d32ed9))





# [2.64.0](https://github.com/comparaonline/ui-forms/compare/v2.63.0...v2.64.0) (2021-09-16)


### Features

* **checkout-cico:** export type DeepPartial ([#1265](https://github.com/comparaonline/ui-forms/issues/1265)) ([6c05d4e](https://github.com/comparaonline/ui-forms/commit/6c05d4e))





# [2.63.0](https://github.com/comparaonline/ui-forms/compare/v2.62.0...v2.63.0) (2021-09-16)


### Features

* **checkout-cico:** add btn inspection center ([#1264](https://github.com/comparaonline/ui-forms/issues/1264)) ([d39da84](https://github.com/comparaonline/ui-forms/commit/d39da84))





# [2.62.0](https://github.com/comparaonline/ui-forms/compare/v2.61.0...v2.62.0) (2021-09-15)


### Bug Fixes

* change getInspectionType ([#1262](https://github.com/comparaonline/ui-forms/issues/1262)) ([af0407a](https://github.com/comparaonline/ui-forms/commit/af0407a))





# [2.61.0](https://github.com/comparaonline/ui-forms/compare/v2.60.0...v2.61.0) (2021-09-14)


### Bug Fixes

* **checkout-cico:** go to insured insurance step when back button is pressed in files step ([#1257](https://github.com/comparaonline/ui-forms/issues/1257)) ([f78b092](https://github.com/comparaonline/ui-forms/commit/f78b092))


### Features

* **checkout-cico:** export AllowedPaymentMethod type ([#1260](https://github.com/comparaonline/ui-forms/issues/1260)) ([7647907](https://github.com/comparaonline/ui-forms/commit/7647907))





# [2.60.0](https://github.com/comparaonline/ui-forms/compare/v2.59.0...v2.60.0) (2021-09-09)


### Bug Fixes

* check missing ciiu code from merged values ([#1249](https://github.com/comparaonline/ui-forms/issues/1249)) ([b49d40b](https://github.com/comparaonline/ui-forms/commit/b49d40b))
* **AutoMas:** don't repeat name of fields ([#1253](https://github.com/comparaonline/ui-forms/issues/1253)) ([832cdb2](https://github.com/comparaonline/ui-forms/commit/832cdb2))


### Features

* daelete old code ([#1245](https://github.com/comparaonline/ui-forms/issues/1245)) ([4bf8f37](https://github.com/comparaonline/ui-forms/commit/4bf8f37))
* **CardActionField:** add component to use as a IFieldProp ([#1250](https://github.com/comparaonline/ui-forms/issues/1250)) ([79d5ea2](https://github.com/comparaonline/ui-forms/commit/79d5ea2))
* **checkout-cico:** add component generic for generate something ([#1247](https://github.com/comparaonline/ui-forms/issues/1247)) ([209ed64](https://github.com/comparaonline/ui-forms/commit/209ed64))
* **checkout-cico:** validate phone number ([#1248](https://github.com/comparaonline/ui-forms/issues/1248)) ([984df9f](https://github.com/comparaonline/ui-forms/commit/984df9f))
* **inspection:** add step automas only components ([#1246](https://github.com/comparaonline/ui-forms/issues/1246)) ([9ebfe4e](https://github.com/comparaonline/ui-forms/commit/9ebfe4e))
* **Inspection:** use createInspection callback ([#1251](https://github.com/comparaonline/ui-forms/issues/1251)) ([8006649](https://github.com/comparaonline/ui-forms/commit/8006649))
* **Payment:** add support to Finesa ([#1252](https://github.com/comparaonline/ui-forms/issues/1252)) ([4963616](https://github.com/comparaonline/ui-forms/commit/4963616))
* **Payment:** add support to show the interest in the Financed's description ([#1255](https://github.com/comparaonline/ui-forms/issues/1255)) ([666feb1](https://github.com/comparaonline/ui-forms/commit/666feb1))
* **Payment:** download promissory note ([#1254](https://github.com/comparaonline/ui-forms/issues/1254)) ([fac413b](https://github.com/comparaonline/ui-forms/commit/fac413b))





# [2.59.0](https://github.com/comparaonline/ui-forms/compare/v2.58.0...v2.59.0) (2021-09-02)


### Bug Fixes

* **Payment:** render Credit card's fields when that PM is selected ([#1241](https://github.com/comparaonline/ui-forms/issues/1241)) ([ff9dcb4](https://github.com/comparaonline/ui-forms/commit/ff9dcb4))


### Features

* **CheckoutCico:** set the first allowed payment method as default value ([#1240](https://github.com/comparaonline/ui-forms/issues/1240)) ([3880e06](https://github.com/comparaonline/ui-forms/commit/3880e06))
* **CheckoutCICO:** add support to Cash as payment method ([#1233](https://github.com/comparaonline/ui-forms/issues/1233)) ([c123b20](https://github.com/comparaonline/ui-forms/commit/c123b20))
* **Payment:** add support for credit card ([#1238](https://github.com/comparaonline/ui-forms/issues/1238)) ([7ef5348](https://github.com/comparaonline/ui-forms/commit/7ef5348))
* **Payment:** add support to PSE ([#1239](https://github.com/comparaonline/ui-forms/issues/1239)) ([a95fb58](https://github.com/comparaonline/ui-forms/commit/a95fb58))
* **Payment:** disable submit and credit card fields for not owners ([#1243](https://github.com/comparaonline/ui-forms/issues/1243)) ([3b46f97](https://github.com/comparaonline/ui-forms/commit/3b46f97))
* **Payment:** improve credit card fields validations ([#1242](https://github.com/comparaonline/ui-forms/issues/1242)) ([7b6137b](https://github.com/comparaonline/ui-forms/commit/7b6137b))





# [2.58.0](https://github.com/comparaonline/ui-forms/compare/v2.57.0...v2.58.0) (2021-08-24)


### Features

* **checkout-cico:** add step inspection own ([#1229](https://github.com/comparaonline/ui-forms/issues/1229)) ([24d5971](https://github.com/comparaonline/ui-forms/commit/24d5971))
* **checkout-cico:** remove step covid checkout cico ([#1228](https://github.com/comparaonline/ui-forms/issues/1228)) ([96905ec](https://github.com/comparaonline/ui-forms/commit/96905ec))





# [2.56.0](https://github.com/comparaonline/ui-forms/compare/v2.55.1...v2.56.0) (2021-08-06)


### Features

* add ciuucode when it is missing from firestore ([#1217](https://github.com/comparaonline/ui-forms/issues/1217)) ([3377564](https://github.com/comparaonline/ui-forms/commit/3377564))





# [2.55.0](https://github.com/comparaonline/ui-forms/compare/v2.54.2...v2.55.0) (2021-08-03)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.54.0](https://github.com/comparaonline/ui-forms/compare/v2.53.0...v2.54.0) (2021-07-27)

**Note:** Version bump only for package @compara/ui-checkout-cico





## [2.52.5](https://github.com/comparaonline/ui-forms/compare/v2.52.1...v2.52.5) (2021-06-25)


### Bug Fixes

* default step index when step id is not defined ([#1198](https://github.com/comparaonline/ui-forms/issues/1198)) ([1c34574](https://github.com/comparaonline/ui-forms/commit/1c34574))





## [2.52.1](https://github.com/comparaonline/ui-forms/compare/v2.52.0...v2.52.1) (2021-06-24)


### Bug Fixes

* infinite redirection ([#1197](https://github.com/comparaonline/ui-forms/issues/1197)) ([597fed5](https://github.com/comparaonline/ui-forms/commit/597fed5))





## [2.51.2](https://github.com/comparaonline/ui-forms/compare/v2.51.0...v2.51.2) (2021-06-01)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.51.0](https://github.com/comparaonline/ui-forms/compare/v2.50.3...v2.51.0) (2021-06-01)


### Features

* **validators:** use latest version of ui-forms-validators ([#1189](https://github.com/comparaonline/ui-forms/issues/1189)) ([28dbd5e](https://github.com/comparaonline/ui-forms/commit/28dbd5e))





## [2.50.3](https://github.com/comparaonline/ui-forms/compare/v2.50.2...v2.50.3) (2021-05-25)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.47.0](https://github.com/comparaonline/ui-forms/compare/v2.46.0...v2.47.0) (2021-03-24)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.46.0](https://github.com/comparaonline/ui-forms/compare/v2.45.2...v2.46.0) (2021-03-22)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.45.0](https://github.com/comparaonline/ui-forms/compare/v2.44.2...v2.45.0) (2021-03-18)

**Note:** Version bump only for package @compara/ui-checkout-cico





## [2.44.2](https://github.com/comparaonline/ui-forms/compare/v2.44.1...v2.44.2) (2021-03-17)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.44.0](https://github.com/comparaonline/ui-forms/compare/v2.43.0...v2.44.0) (2021-03-15)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.43.0](https://github.com/comparaonline/ui-forms/compare/v2.42.2...v2.43.0) (2021-03-12)

**Note:** Version bump only for package @compara/ui-checkout-cico





## [2.37.1](https://github.com/comparaonline/ui-forms/compare/v2.37.0...v2.37.1) (2021-02-10)

**Note:** Version bump only for package @compara/ui-checkout-cico





# [2.37.0](https://github.com/comparaonline/ui-forms/compare/v2.36.3...v2.37.0) (2021-02-08)

**Note:** Version bump only for package @compara/ui-checkout-cico
