import React from 'react';
import { WithTheme } from '@material-ui/core/styles';
interface DocumentStatusProps extends WithTheme {
    isDocumentReady: boolean;
    fieldName: string;
    textData?: Record<string, string>;
    hasDocumentFailed?: boolean;
}
declare const WithThemeDocumentStatus: React.ComponentType<Pick<React.PropsWithChildren<DocumentStatusProps>, "children" | "fieldName" | "isDocumentReady" | "textData" | "hasDocumentFailed"> & import("@material-ui/core/styles/withTheme").ThemedComponentProps>;
export { WithThemeDocumentStatus as DocumentStatus };
