import React from 'react';
import { DialogProps } from '@material-ui/core/Dialog';
import { WithTheme } from '@material-ui/core/styles';
interface WizardModalProps {
    onClose: () => void;
    open: DialogProps['open'];
    steps: {
        image: string;
        text: string;
    }[];
}
declare const WizardModal: React.ComponentType<(Pick<Pick<WizardModalProps & {
    classes: Record<string, string>;
} & WithTheme & Partial<import("@material-ui/core/withWidth").WithWidth>, "width" | "open" | "theme" | "steps" | "onClose"> & import("@material-ui/core/styles").StyledComponentProps<string>, "width" | "classes" | "innerRef" | "open" | "steps" | "onClose"> & import("@material-ui/core/styles/withTheme").ThemedComponentProps) | (Pick<Pick<React.PropsWithChildren<WizardModalProps & {
    classes: Record<string, string>;
} & WithTheme & Partial<import("@material-ui/core/withWidth").WithWidth>>, "width" | "children" | "open" | "theme" | "steps" | "onClose"> & import("@material-ui/core/styles").StyledComponentProps<string>, "width" | "children" | "classes" | "innerRef" | "open" | "steps" | "onClose"> & import("@material-ui/core/styles/withTheme").ThemedComponentProps) | (Pick<Pick<WizardModalProps & {
    classes: Record<string, string>;
} & WithTheme & Partial<import("@material-ui/core/withWidth").WithWidth>, "width" | "open" | "theme" | "steps" | "onClose"> & import("@material-ui/core/styles").StyledComponentProps<string> & {
    children?: React.ReactNode;
}, "width" | "children" | "classes" | "innerRef" | "open" | "steps" | "onClose"> & import("@material-ui/core/styles/withTheme").ThemedComponentProps) | (Pick<Pick<React.PropsWithChildren<WizardModalProps & {
    classes: Record<string, string>;
} & WithTheme & Partial<import("@material-ui/core/withWidth").WithWidth>>, "width" | "children" | "open" | "theme" | "steps" | "onClose"> & import("@material-ui/core/styles").StyledComponentProps<string> & {
    children?: React.ReactNode;
}, "width" | "children" | "classes" | "innerRef" | "open" | "steps" | "onClose"> & import("@material-ui/core/styles/withTheme").ThemedComponentProps)>;
export { WizardModal };
