import { AnyObject, FormApi } from 'final-form';
import { CicoPaymentMethod } from '@comparaonline/cico-funnel-schema';
import { RequiredFileHandlers } from '@comparaonline/ui-form-fields-next';
import { AllowedPaymentMethod, CardButtonOptionItem, Offer } from '../types';
export declare const getPaymentMethodOptions: (paymentMethods: AllowedPaymentMethod[], offer: Offer) => CardButtonOptionItem[];
export declare const isPaymentMethod: (formApi: FormApi, compareTo: CicoPaymentMethod) => boolean;
export declare const downloadPromissoryNote: (formApi: FormApi, downloadFile: RequiredFileHandlers['downloadFile']) => void;
export interface DownloadPromissoryNoteAutomaticallyProps {
    downloadFile: RequiredFileHandlers['downloadFile'];
    formApi: FormApi<AnyObject>;
    offerId: string;
    quoteId: string;
}
export declare const downloadPromissoryNoteAutomatically: ({ formApi, downloadFile, offerId, quoteId }: DownloadPromissoryNoteAutomaticallyProps) => void;
