/// <reference types="react" />
import { FormatMessage } from '@comparaonline/react-intl-hooks';
import { SarlaftPersonType } from '../../types';
export declare const getIdentificationNumberField: (sarlaftPersonType: SarlaftPersonType, optionalFieldNames?: string[] | undefined) => {
    component: import("react").ComponentType<Pick<import("react").PropsWithChildren<import("../../../../ui-form-fields-next/dist/TextField/NormalizedTextField").NormalizedTextFieldProps & {
        classes: Record<string, string>;
    }>, "disabled" | "name" | "children" | "select" | "validate" | "texts" | "fieldProps" | "options" | "checkForDataOptions" | "renderOption" | "muiInputProps"> & import("@material-ui/core").StyledComponentProps<string>>;
    muiInputProps: {
        InputProps: {
            disabled: boolean;
        };
    };
    name: any;
    showLabel: boolean;
    texts: {
        label: (t: FormatMessage) => string;
        placeholder: (t: FormatMessage) => string;
    };
    validate: false | ((value: import("@comparaonline/ui-forms-validators/dist/types/Validator").DefaultFieldValue, allValues: {}, meta: import("final-form").FieldState<import("@comparaonline/ui-forms-validators/dist/types/Validator").DefaultFieldValue> | undefined, client: {}, extended: boolean, formApi: import("final-form").FormApi<Record<string, any>, Partial<Record<string, any>>>) => Promise<import("@comparaonline/ui-forms-validators/dist/types/Validator").FormError<{}> | undefined>);
};
