import React from 'react';
import Typography from '@material-ui/core/Typography';
import { useFormatMessage } from '@comparaonline/react-intl-hooks';

export interface TypographyFiledProps {
  keyText: string;
}

export const TypographyFiled = ({ keyText }) => {
  const t = useFormatMessage();
  return (
    <Typography align="center" variant="body1" dangerouslySetInnerHTML={{ __html: t(keyText) }} />
  );
};
