import React from 'react';

import { WizardFormBase, WizardFormProps } from './WizardFormBase';
import { IntlProviders } from './IntlProviders';

const WizardForm: React.FC<WizardFormProps> = props => (
  <IntlProviders>
    <WizardFormBase {...props} />
  </IntlProviders>
);

export { WizardForm };
