import { CompanyTypes } from '@comparaonline/common-schema';
import { getSelectOptions } from '../../helpers';
import { FieldNames } from '../FieldNames';

const companyTypes = [
  CompanyTypes.Private,
  CompanyTypes.Oficial,
  CompanyTypes.Mixed,
  CompanyTypes.Other
];

export const companyTypeOptions = getSelectOptions(
  companyTypes.map(companyType => ({
    value: companyType,
    translatePrefix: FieldNames.Insured.Work.CompanyType
  }))
);
