import React from 'react';
import MenuItem from '@material-ui/core/MenuItem';

const MAX_INSTALLMENTS = 48;
const installments = Array.from(Array(MAX_INSTALLMENTS), (_, index) => index + 1);

export const creditCardInstallmentsOptions = installments.map(value => (
  <MenuItem value={value} key={`credit-card-installment-${value}`}>
    {value}
  </MenuItem>
));
