import { getSelectOptions } from '../../helpers';
import { CurrencyOperations } from '../CurrencyOperations';
import { FieldNames } from '../FieldNames';

const currencyOperations = [
  CurrencyOperations.Imports,
  CurrencyOperations.Exports,
  CurrencyOperations.Investments,
  CurrencyOperations.Transfers,
  CurrencyOperations.Loans,
  CurrencyOperations.ServicesPay,
  CurrencyOperations.Others
];

export const currencyOperationOptions = getSelectOptions(
  currencyOperations.map(operation => ({
    value: operation,
    translatePrefix: FieldNames.Insured.ForeignTaxation.CurrencyOperations
  }))
);
