import { EducationLevel } from '@comparaonline/common-schema';
import { FieldNames } from '../FieldNames';
import { getSelectOptions } from '../../helpers';

const educationLevels = [
  EducationLevel.Baccalaureate,
  EducationLevel.Technical,
  EducationLevel.Technologist,
  EducationLevel.Graduate,
  EducationLevel.Postgraduate,
  EducationLevel.Other
];

export const educationLevelOptions = getSelectOptions(
  educationLevels.map(level => ({
    value: level,
    translatePrefix: FieldNames.Insured.Person.EducationLevel
  }))
);
