import { HousingType } from '@comparaonline/common-schema';
import { FieldNames } from '../FieldNames';
import { getSelectOptions } from '../../helpers';

const housingTypes = [HousingType.Owner, HousingType.Family, HousingType.Rent, HousingType.Other];

export const housingTypeOptions = getSelectOptions(
  housingTypes.map(housingType => ({
    value: housingType,
    translatePrefix: FieldNames.Insured.Person.HousingType
  }))
);
