import { getSelectOptions } from '../../helpers';
import { IdentificationDocumentVersion } from '../../types';
import { FieldNames } from '../FieldNames';

const identificationDocumentVersions = [
  IdentificationDocumentVersion.New,
  IdentificationDocumentVersion.Old
];

export const identificationDocumentVersionOptions = getSelectOptions(
  identificationDocumentVersions.map(identificationDocumentVersion => ({
    value: identificationDocumentVersion,
    translatePrefix: FieldNames.IdentificationDocumentVersion
  }))
);
