import { IdentificationType } from '@comparaonline/common-schema';
import { getSelectOptions } from '../../helpers';
import { FieldNames } from '../FieldNames';

const identificationTypes = [
  IdentificationType.NationalId,
  IdentificationType.ForeignNationalId,
  IdentificationType.Passport,
  IdentificationType.IdentifcationCard
];

export const identificationTypeOptions = getSelectOptions(
  identificationTypes.map(identificationType => ({
    value: identificationType,
    translatePrefix: FieldNames.Insured.Person.IdentificationType
  }))
);
