import { FieldNames } from '../FieldNames';
import { InsuranceResults } from '../InsuranceResults';
import { getSelectOptions } from '../../helpers';

const insuranceResults = [InsuranceResults.Complaint, InsuranceResults.Compensation];

export const insuranceResultOptions = getSelectOptions(
  insuranceResults.map(result => ({
    value: result,
    translatePrefix: FieldNames.Insured.Insurance.Result
  }))
);
