export const FileController = (offerId: string, quoteId: string) => {
  const STORAGE_KEY = `${offerId}/${quoteId}/documents`;

  const getState = (): Record<string, boolean> =>
    JSON.parse(String(localStorage.getItem(STORAGE_KEY))) || {};

  const setState = (documentUrl: string, downloaded: boolean) =>
    localStorage.setItem(STORAGE_KEY, JSON.stringify({ ...getState(), [documentUrl]: downloaded }));

  return { getState, setState };
};
