import { INSPECTION_OPTIONS } from '../constants/options/InspectionOption';
import { AllowedInspectionType, CardButtonOptionItem } from '../types';

export const getInspectionOptions = (
  allowedInspectionTypes: AllowedInspectionType
): CardButtonOptionItem[] => {
  return allowedInspectionTypes
    .map(inspectionType => INSPECTION_OPTIONS[inspectionType])
    .filter(Boolean);
};
