interface Country {
  code: number;
  name_es: string;
}

export const getCountries = (): Promise<Country[]> =>
  new Promise((resolve, reject) => {
    fetch('https://static-data.comparaonline.com/countries.json')
      .then(response => {
        if (response.ok) {
          return response.json();
        }
      })
      .then(resolve)
      .catch(reject);
  });
