import { Step } from '@comparaonline/ui-wizard-step-manager';
import { StepIds, StepNames, FieldNames } from '../constants';
import { InspectionOwn } from '../components/InspectionOwn';

export const inspectionOwnStep: Step = {
  section: {
    id: 'inspection-own-section',
    name: () => StepNames.InspectionOwn
  },
  id: StepIds.InspectionOwn,
  fields: [
    {
      name: FieldNames.Inspection.Own,
      component: InspectionOwn
    }
  ],
  next: StepIds.Payment,
  submitText: t => t('inspection.own.btn')
};
