import { ReactElement } from 'react';
import { FormatMessage } from '@comparaonline/react-intl-hooks';

export interface CardButtonOptionItem {
  description: (t: FormatMessage) => string;
  image: ReactElement;
  imageUnchecked: ReactElement;
  label: (t: FormatMessage) => string;
  secondaryLabel?: (t: FormatMessage) => string;
  secondarySubLabel?: (t: FormatMessage) => string;
  value: string;
}
