import { Checkout, Inspection, Sarlaft } from '@comparaonline/cico-funnel-schema';
import { DeepPartial } from './DeepPartial';

export interface Subcollection {
  id?: string;
  name: string;
  values?: DeepPartial<Inspection | Sarlaft>;
}

export type Submitter = (
  values: DeepPartial<Checkout>,
  subcollections: Subcollection[]
) => void | Promise<void>;
