import { Checkout } from '@comparaonline/cico-funnel-schema';
import { DeepPartial } from './DeepPartial';

interface CheckoutWithIsEventSubmit extends Checkout {
  isEventSubmit: boolean[] | Record<number, boolean>;
}

type Data = DeepPartial<CheckoutWithIsEventSubmit>;

export type Transformer = (data: Data) => Data;
