import { Validator } from '@comparaonline/ui-forms-validators/dist/types/Validator';
import { Checkout } from '@comparaonline/cico-funnel-schema';
import { getIn } from 'final-form';
import { FieldNames } from '../constants';

export const additionalSarlaftDocValidator: Validator<string, Checkout> = (
  _value,
  checkoutValues
) => {
  const isValid = !!getIn(checkoutValues, FieldNames.Files.SignedAdditionalDocument);
  return isValid ? undefined : { errorCode: 'MISSING_ADDITIONAL_SARLAFT_DOC' };
};
