const { resolve } = require('path');
const { tsConfig } = require('@comparaonline/ui-forms-config/webpack/typescript');

const fs = require('fs');

const pkgStringify = fs.readFileSync(resolve('package.json'), {
  encoding: 'utf8'
});

const pkg = JSON.parse(pkgStringify);

const [_, pkgName] = pkg.name.split('/');

module.exports = tsConfig({
  entry: {
    [pkgName]: './src/index.ts',
    messages: './src/i18n/locale/es-CO.ts'
  },
  output: {
    path: resolve(__dirname, 'dist')
  }
});
