/// <reference types="react" />
import { FormApi } from 'final-form';
import { IFieldProps } from '@comparaonline/ui-wizard-step-manager';
export interface CardActionProps extends Pick<IFieldProps, 'onClick' | 'formApi'> {
    buttonText: string;
    helperText: string;
    labelSuccessUpload: string;
    labelSuccessDigital: string;
    showIcon: boolean;
    onRender?: (formApi: FormApi) => void;
    value: string;
    isSignedDigital: boolean;
}
export declare const CardActionField: ({ texts, pathUploadUrl, ...props }: {
    [x: string]: any;
    texts: any;
    pathUploadUrl: any;
}) => JSX.Element;
