/// <reference types="react" />
import { FormApi } from 'final-form';
import { IFieldProps } from '@comparaonline/ui-wizard-step-manager';
export interface CardGeneratorProps<Value = string> {
    errorText: string;
    formApi: FormApi;
    hasError: boolean;
    buttonText: string;
    label: string;
    loading: string;
    name: string;
    onClick: IFieldProps['onClick'];
    value: Value;
    getGeneratedValue?: (value: Value, formApi: FormApi) => unknown;
}
export declare const CardGeneratorField: ({ texts, ...props }: {
    [x: string]: any;
    texts: any;
}) => JSX.Element;
