import { FC } from 'react';
import { FormApi } from 'final-form';
import { RequiredFileHandlers, FileInfoHandler } from '@comparaonline/ui-form-fields-next';
import { CicoMetadata } from './types';
interface DocumentsLoadingProps extends RequiredFileHandlers, FileInfoHandler {
    additionalDocumentFilename: string;
    autoDownload: (formApi: FormApi) => boolean;
    cicoMetadata: CicoMetadata;
    formApi: FormApi;
    showAdditionalDocument: boolean;
    sarlaftSignatureRequired: boolean;
}
declare const DocumentsLoading: FC<DocumentsLoadingProps>;
export { DocumentsLoading };
