import { FC } from 'react';
import { DownloadButtonBaseProps } from './types';
import { StandardInputProps } from './types';
declare type DownloadButtonBasePropsCleaned = Pick<DownloadButtonBaseProps, Exclude<keyof DownloadButtonBaseProps, 'value' | 'fieldName'>>;
declare type NormalizedDownloadButtonBaseProps = DownloadButtonBasePropsCleaned & StandardInputProps;
declare const NormalizedDownloadButtonBase: FC<NormalizedDownloadButtonBaseProps>;
export { NormalizedDownloadButtonBase as DownloadButton, NormalizedDownloadButtonBaseProps as DownloadButtonProps };
