import { StepIds } from '../../constants';
import { BypassCodeValidation, DigitalSignatureServiceMethod, VerifyAndSignMethod } from './types';
export declare const bypassCodeValidation: BypassCodeValidation;
export declare const initIdentityValidation: (formApi: any, bffURL: any, formId: any) => Promise<{
    questions: import("../../types").Question[];
    ok: boolean;
    step: StepIds;
} | {
    ok: boolean;
    questions?: undefined;
    step?: undefined;
}>;
export declare const reSendCode: DigitalSignatureServiceMethod<boolean>;
export declare const verifyAnswersAndSign: VerifyAndSignMethod;
export declare const verifyCodeAndSign: VerifyAndSignMethod;
