import { Step } from '@comparaonline/ui-wizard-step-manager';
import { SectionProps } from '@comparaonline/ui-wizard-step-manager/dist/types';
import { RequiredFileHandlers } from '@comparaonline/ui-form-fields-next';
import { StepIds } from '../constants';
import { OnGetQuestions } from '../types';
import { CicoForm } from '@comparaonline/quote-forms-schema/dist/schema';
declare const fileSection: SectionProps;
declare type GetFileStep = (props: {
    additionalDocumentFilename: string;
    bffURL: string;
    fulfillmentPresenterURL: string;
    fileHandler: RequiredFileHandlers;
    isDigitalSignatureEnabled: boolean;
    sarlaftSignatureRequired?: boolean;
    offerId: string;
    onGetQuestions: OnGetQuestions;
    quoteId: string;
    showAdditionalDocument: boolean;
    previousStep: StepIds;
    quoteForm: CicoForm;
}) => Step[];
declare const getFileSteps: GetFileStep;
export { fileSection, getFileSteps };
