import { prepareFirestoreData } from '../helpers';
import { IStepChangeListenerProps } from '@comparaonline/ui-wizard-step-manager';
interface StepChangeArgs {
    formProps: IStepChangeListenerProps;
    transformValues: <T>(values: T) => ReturnType<typeof prepareFirestoreData>;
}
declare type StepChangeHandler = (args: StepChangeArgs) => void;
export { StepChangeHandler, StepChangeArgs };
