import { Validator } from '@comparaonline/ui-forms-validators/dist/types/Validator';
export { required, errorCode as requiredCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/required';
export { validateMobilePhone, errorCode as mobilePhoneCode } from '@comparaonline/ui-forms-validators/dist/validators/colombia/validateMobilePhone';
export { validatePhone } from '@comparaonline/ui-forms-validators/dist/validators/colombia/validatePhone';
export { validateLandLine, errorCode as landLineCode } from '@comparaonline/ui-forms-validators/dist/validators/colombia/validateLandLine';
export { requiredWithFalsies, errorCode as withFalsiesError } from '@comparaonline/ui-forms-validators/dist/validators/commons/requiredWithFalsies';
export { date, errorCode as dateCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/date/date';
export { minAge, errorCode as minAgeCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/date/minAge';
export { maxAge, errorCode as maxAgeCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/date/maxAge';
export { email, errorCode as emailCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/email';
export { match, errorCode as matchCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/match';
export { maxNumber, errorCode as maxCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/maxNumber';
export { minNumber, errorCode as minCode } from '@comparaonline/ui-forms-validators/dist/validators/commons/minNumber';
export declare const bypassValidator: Validator;
