import React from 'react';
import Button from '@material-ui/core/Button';

interface ButtonInspectionCenterProps {
  showInspectionCenter(): void;
  texts: {
    buttonText: string;
  };
}

export const ButtonInspectionCenter = ({
  showInspectionCenter,
  texts: { buttonText }
}: ButtonInspectionCenterProps): JSX.Element => {
  return (
    <Button fullWidth={true} color="primary" onClick={showInspectionCenter}>
      {buttonText}
    </Button>
  );
};
