import React from 'react';
import Typography from '@material-ui/core/Typography';
import { withStyles } from './styles';

const HelperTextBase = ({ children, classes, ...props }) => {
  return (
    <Typography {...props} variant="caption" className={`${classes.helperText}`}>
      {children}
    </Typography>
  );
};

export const HelperText = withStyles(HelperTextBase);
