import { FieldMetaState } from 'react-final-form';

interface ErrorMeta {
  touched?: boolean;
  error?: any;
}
export const hasError = ({ touched, error }: ErrorMeta) => touched && !!error;
export const hasContent = (...args) => args.some(arg => arg);
export const isDisabled = ({ data }: FieldMetaState<unknown>) => Boolean(data && data!.loading);
