import {
  StyleRulesCallback,
  WithStyles,
  withStyles as withStylesMUI
} from '@material-ui/core/styles';

const styles: StyleRulesCallback = () => ({
  dialogImage: {
    display: 'flex',
    justifyContent: 'center'
  }
});

type Styles = WithStyles<typeof styles>;
const withStyles = withStylesMUI(styles);

export { withStyles, Styles };
