enum Car {
  Chassis = 'car.chassisNumber',
  Color = 'car.color',
  CylinderCapacity = 'car.cylinderCapacity',
  Engine = 'car.engineNumber',
  Serial = 'car.serialNumber'
}

enum Files {
  AdditionalDocument = 'files.insuredSarlaft.additionalDocumentUrl',
  SignedAdditionalDocument = 'files.insuredSarlaft.additionalSignedDocumentUrl',
  SignedAdditionalDocumentUploadDate = 'files.insuredSarlaft.additionalSignedDocumentUploadDate',
  IdentificationDocument = 'files.identificationDocument',
  IdentificationDocumentBack = 'files.identificationDocumentBack',
  InsuredSarlaft = 'files.insuredSarlaft',
  OtherDocuments = 'files.otherDocuments',
  PayerSarlaft = 'files.payerSarlaft',
  PromissoryNote = 'files.promissoryNote',
  PropertyCertificate = 'files.propertyCertificate',
  PropertyCertificateBack = 'files.propertyCertificateBack'
}

enum PromissoryNote {
  Retries = 'promissoryNote.retries',
  Status = 'promissoryNote.status'
}

enum Inspection {
  Type = 'inspection.type',
  Name = 'inspection.name',
  Phone = 'inspection.phone',
  Number = 'inspection.inspectionId',
  Own = 'inspection.inspectionOwn',
  OrderCreatedWithType = 'inspection.orderCreatedWithType'
}

enum InspectionNoFieldNames {
  TitleCardButton = 'inspection.titleCardButton',
  TitleVirtualInputs = 'inspection.titleVirtualInputs',
  InspectionOrder = 'inspection.inspectionOrder',
  NumberOrder = 'inspection.numberOrder',
  InspectionCenter = 'inspection.inspectionCenter',
  VirtualInspectionModal = 'virtualInspectionModal'
}

enum Person {
  Address = 'person.address',
  Birthdate = 'person.birthDate',
  Birthplace = 'person.birthPlace',
  ChildrenQuantity = 'person.childrenQuantity',
  City = 'person.city',
  CivilStatus = 'person.civilStatus',
  DateIssued = 'person.dateIssued',
  EducationLevel = 'person.educationLevel',
  Email = 'person.email',
  FirstName = 'person.firstName',
  Gender = 'person.gender',
  HousingType = 'person.housingType',
  IdentificationNumber = 'person.identificationNumber',
  IdentificationType = 'person.identificationType',
  Landline = 'person.landline',
  LastName = 'person.lastName',
  MiddleName = 'person.middleName',
  Nationality = 'person.nationality',
  Neighborhood = 'person.neighborhood',
  PlaceIssued = 'person.placeIssued',
  Phone = 'person.phone',
  SecondLastName = 'person.secondLastName',
  SocioeconomicLevel = 'person.socioeconomicLevel'
}

enum ForeignTaxation {
  AmountCurrencyOperations = 'foreignTaxation.amountCurrencyOperations',
  CurrencyOperations = 'foreignTaxation.currencyOperations',
  FinancialProductAmount = 'foreignTaxation.financialProductAmount',
  FinancialProductEntity = 'foreignTaxation.financialProductEntity',
  FinancialProductCity = 'foreignTaxation.financialProductCity',
  FinancialProductCountry = 'foreignTaxation.financialProductCountry',
  FinancialProductCurrency = 'foreignTaxation.financialProductCurrency',
  HasFinancialProducts = 'foreignTaxation.hasFinancialProducts',
  HasForeignCurrencyOperations = 'foreignTaxation.hasForeignCurrencyOperations',
  NumberOfProduct = 'foreignTaxation.financialProductNumber',
  TypeOfProduct = 'foreignTaxation.financialProductType'
}

enum Payment {
  Method = 'payment.method'
}

enum PSE {
  Bank = 'payment.pse.bank',
  Name = 'payment.pse.name',
  PersonalType = 'payment.pse.personalType',
  IdentificationNumber = 'payment.pse.identificationNumber',
  IdentificationType = 'payment.pse.identificationType'
}

enum CreditCard {
  CardExpedition = 'payment.creditCard.cardExpedition',
  CardNumber = 'payment.creditCard.cardNumber',
  CardType = 'payment.creditCard.cardType',
  Email = 'payment.creditCard.email',
  IdentificationNumber = 'payment.creditCard.identificationNumber',
  Installments = 'payment.creditCard.installments',
  Name = 'payment.creditCard.name'
}

enum PublicResources {
  HasPublicLink = 'publicResources.hasPublicLink',
  HasPublicPosition = 'publicResources.hasPublicPosition',
  IsPubliclyRecognized = 'publicResources.isPubliclyRecognized',
  ManagePublicResources = 'publicResources.managePublicResources',
  PublicLinkName = 'publicResources.publicLink.name',
  PublicLinkIdentificationType = 'publicResources.publicLink.identificationType',
  PublicLinkIdentificationNumber = 'publicResources.publicLink.identificationNumber',
  PublicLinkNationality = 'publicResources.publicLink.nationality',
  PublicLinkPosition = 'publicResources.publicLink.position',
  PublicLinkRelation = 'publicResources.publicLink.relation',
  PublicPosition = 'publicResources.publicPosition',
  PublicRecognition = 'publicResources.publicRecognition',
  PublicResources = 'publicResources.publicResources'
}

enum Insurance {
  Amount = 'insurance.amount',
  Category = 'insurance.category',
  Company = 'insurance.company',
  Ramification = 'insurance.ramification',
  Result = 'insurance.result',
  Year = 'insurance.year'
}

enum Work {
  Assets = 'work.assetValue',
  CiiuCode = 'work.ciiuCode',
  Company = 'work.company.name',
  CompanyAddress = 'work.company.address',
  CompanyCity = 'work.company.city',
  CompanyPhone = 'work.company.phone',
  CompanyType = 'work.company.type',
  Liabilities = 'work.liabilityValue',
  MonthlyIncome = 'work.monthlyIncome',
  MonthlyDischarge = 'work.monthlyDischarge',
  Occupation = 'work.occupation',
  OccupationType = 'work.occupationType',
  Position = 'work.position',
  Wealth = 'work.wealth'
}

enum FieldsNoSave {
  ErrorInspectionOrder = 'fieldsNoSave.errorInspectionOrder',
  StatusInputCode = 'fieldsNoSave.statusInputCode',
  ValidateCode = 'fieldsNoSave.validateCode',
  ValidateQuestions = 'fieldsNoSave.validateQuestions',
  ValidateDocuments = 'fieldsNoSave.validateDocuments'
}

enum IdentityValidation {
  Code = 'identityValidation.Code',
  ExpirationDate = 'identityValidation.expirationDate',
  Id = 'identityValidation.id',
  IdentityValidationAnswers = 'identityValidation.identityValidationAnswers',
  ResendCode = 'identityValidation.resendCode',
  RetriedCodeValidations = 'identityValidation.retriedCodeValidations',
  Status = 'identityValidation.status'
}

enum DocumentsValidationResult {
  Result = 'documentsValidationResult.result',
  Description = 'documentsValidationResult.description'
}

interface SarlaftFieldNames {
  Car?: any;
  FinancialEntity: string;
  ForeignTaxation: any;
  HasClaims: string;
  Insurance: any;
  IsCarFinanced: string;
  IsOwner: string;
  IsOwnerThePayer: string;
  Person: any;
  PrincipalSourceOfIncome: string;
  PublicResources: any;
  Work: any;
  Step: string;
}

const InsuredEnums = {
  ForeignTaxation,
  Insurance,
  Person,
  PublicResources,
  Work,
  Payer: Insurance
};

const makeNestedEnum = (prefix: string, enums) =>
  Object.keys(enums).reduce(
    (output, eKey) => {
      const eObj = enums[eKey];
      output[eKey] = {};
      Object.keys(eObj).forEach(key => {
        output[eKey][key] = `${prefix}.${eObj[key]}`;
      });
      return output;
    },
    {
      FinancialEntity: `${prefix}.financialEntity`,
      HasClaims: `${prefix}.hasClaims`,
      IsCarFinanced: `${prefix}.isCarFinanced`,
      IsOwner: `${prefix}.isOwner`,
      IsOwnerThePayer: `${prefix}.isOwnerThePayer`,
      PrincipalSourceOfIncome: `${prefix}.principalSourceOfIncome`,
      Step: `${prefix}.step`
    }
  );

export const NoFieldNames = {
  Inspection: InspectionNoFieldNames,
  PromissoryNoteDownloaderField: 'PromissoryNoteDownloaderField'
};

export const FieldNames = {
  Files,
  PromissoryNote,
  Inspection,
  Insured: makeNestedEnum('sarlaft.insured', { ...InsuredEnums, Car }) as SarlaftFieldNames,
  Payer: makeNestedEnum('sarlaft.payer', { ...InsuredEnums }) as SarlaftFieldNames,
  Payment: {
    ...Payment,
    CreditCard,
    PSE
  },
  Step: 'step',
  FieldsNoSave,
  IdentityValidation,
  DocumentsValidationResult,
  IdentificationDocumentVersion: 'identificationDocumentVersion'
};

export type FieldNames = typeof FieldNames;
