import { CivilStatus } from '@comparaonline/common-schema';
import { FieldNames } from '../FieldNames';
import { getSelectOptions } from '../../helpers';

const civilStatus = [
  CivilStatus.Single,
  CivilStatus.Married,
  CivilStatus.Separated,
  CivilStatus.Widower,
  CivilStatus.CivilUnion
];

export const civilStatusOptions = getSelectOptions(
  civilStatus.map(status => ({
    value: status,
    translatePrefix: FieldNames.Insured.Person.CivilStatus
  }))
);
