import { FieldNames } from '../FieldNames';
import { ForeignProductTypes } from '../ForeignProductTypes';
import { getSelectOptions } from '../../helpers';

const foreignProductTypes = [
  ForeignProductTypes.BankAccount,
  ForeignProductTypes.CDT,
  ForeignProductTypes.Mortgage,
  ForeignProductTypes.FreeInvestmentCredit,
  ForeignProductTypes.Other
];

export const foreignProductTypeOptions = getSelectOptions(
  foreignProductTypes.map(product => ({
    value: product,
    translatePrefix: FieldNames.Insured.ForeignTaxation.TypeOfProduct
  }))
);
