import { Gender } from '@comparaonline/common-schema';
import { FieldNames } from '../FieldNames';
import { getSelectOptions } from '../../helpers';

const genders = [Gender.Male, Gender.Female];

export const genderOptions = getSelectOptions(
  genders.map(gender => ({
    value: gender,
    translatePrefix: FieldNames.Insured.Person.Gender
  }))
);
