import { FieldNames } from '../FieldNames';
import { InsuranceCategories } from '../InsuranceCategories';
import { getSelectOptions } from '../../helpers';

const categories = [
  InsuranceCategories.Cars,
  InsuranceCategories.Home,
  InsuranceCategories.Generals,
  InsuranceCategories.Compliance,
  InsuranceCategories.CivilLiability,
  InsuranceCategories.Transport,
  InsuranceCategories.FinancialLines,
  InsuranceCategories.Funeral,
  InsuranceCategories.Accident,
  InsuranceCategories.Other
];

export const insuranceCategoryOptions = getSelectOptions(
  categories.map(category => ({
    value: category,
    translatePrefix: FieldNames.Insured.Insurance.Category
  }))
);
