import { FieldNames } from '../FieldNames';
import { occupationTypesValues } from '../OccupationValues';
import { getSelectOptions } from '../../helpers';

export const occupationTypeOptions = getSelectOptions(
  occupationTypesValues.map(occupationType => ({
    value: occupationType,
    translatePrefix: FieldNames.Insured.Work.OccupationType
  }))
);
