import React, { CSSProperties } from 'react';
import { OptionPlaceholder } from '@comparaonline/ui-form-fields-next';

const createOptionPlaceholders = (quantity: number, height: CSSProperties['height'] = 'auto') =>
  Array.from(Array(quantity).keys()).map(() => ({
    value: 0,
    component: <OptionPlaceholder height={height} />,
    disabled: true
  }));

export { createOptionPlaceholders };
