const CURRENCY_DECIMALS = 0;
const LOCALE = 'es-CO';

const numberFormat = new Intl.NumberFormat(LOCALE, { maximumFractionDigits: CURRENCY_DECIMALS });

export const getFormattedCurrency = (amount: number): string => `$${numberFormat.format(amount)}`;
