import { FormApi } from 'final-form';
import { getFieldStateValue } from './getFieldStateValue';

const fieldValueIsFalse = (fieldName: string) => (formApi: FormApi) =>
  getFieldStateValue(formApi, fieldName) === false;

export { fieldValueIsFalse };
