interface Color {
  id: number;
  name: string;
  slug: string;
  generali_id: number;
}

export const getCarColors = (): Promise<Color[]> =>
  new Promise((resolve, reject) => {
    fetch('https://static-data.comparaonline.com/cico-colors-sarlaft.json')
      .then(response => {
        if (response.ok) {
          return response.json();
        }
      })
      .then(resolve)
      .catch(reject);
  });
