interface City {
  id: number;
  name: string;
}

export const getColombiaCities = (): Promise<City[]> =>
  new Promise((resolve, reject) => {
    fetch('https://static-data.comparaonline.com/cities.json')
      .then(response => {
        if (response.ok) {
          return response.json();
        }
      })
      .then(resolve)
      .catch(reject);
  });
