import gql from 'graphql-tag';

const getFinancialEntities = gql`
  query {
    findAllFinancialEntities {
      __typename @skip(if: true)
      address
      id
      identificationNumber
      name
      phone
      city {
        __typename @skip(if: true)
        id
        name
      }
    }
  }
`;

export { getFinancialEntities };
