import { FieldSubscription } from '@comparaonline/ui-wizard-form-next';

import { FieldNames, NoFieldNames } from '../constants';

export const errorOrderInspection: FieldSubscription = {
  fieldName: FieldNames.FieldsNoSave.ErrorInspectionOrder,
  subscriber: ({ formApi, fieldState: { value = '' } }) => {
    if (value) {
      formApi.mutators.setFieldData(NoFieldNames.Inspection.InspectionOrder, { loading: false });
    }
  },
  subscriptionOptions: { value: true }
};
