import { Validator } from '@comparaonline/ui-forms-validators/dist/types/Validator';
import { validateLandLine, validateMobilePhone } from './validators';

export const landlineAndPhoneValidator: Validator<string> = (...args) => {
  const phoneErrors = validateMobilePhone(...args);
  const landlineErrors = validateLandLine(...args);
  if (!phoneErrors || !landlineErrors) return;
  return phoneErrors || landlineErrors;
};
